Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.extension
Interface IReportItemExecutor

All Known Implementing Classes:
  ItemExecutorWrapper, org.eclipse.birt.report.engine.extension.ReportItemExecutorBase

    public interface IReportItemExecutor

Method Summary
`void` | `close()` close the executor, if the executor is closed, all sub executor will be terminate also.
`IContent` | `execute()` execute the report item
`IContent` | `getContent()` get the content
`IExecutorContext` | `getContext()` get executor context
`java.lang.Object` | `getModelObject()` get extended report item model handle
`IReportItemExecutor` | `getNextChild()` return the next child's executor
`IReportItemExecutor` | `getParent()` get parent report item executor
`IBaseResultSet[]` | `getQueryResults()` get QueryResults of the executor
`boolean` | `hasNextChild()` does the executor has child executor
`void` | `setContext(IExecutorContext context)` set executor context to the extension executor
`void` | `setModelObject(java.lang.Object handle)` set extended report item model handle to the extension executor *
`void` | `setParent(IReportItemExecutor parent)` set parent report item executor

Method Detail

### setModelObject

    void setModelObject(java.lang.Object handle)

  set extended report item model handle to the extension executor *

  Parameters:
    `handle` - a handle to the extended item model object

### setContext

    void setContext(IExecutorContext context)

  set executor context to the extension executor

  Parameters:
    `context` -

### setParent

    void setParent(IReportItemExecutor parent)

  set parent report item executor

  Parameters:
    `parent` -

### getParent

    IReportItemExecutor getParent()

  get parent report item executor

### getModelObject

    java.lang.Object getModelObject()

  get extended report item model handle

### getContext

    IExecutorContext getContext()

  get executor context

### execute

    IContent execute()
                     throws org.eclipse.birt.core.exception.BirtException

  execute the report item

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### getQueryResults

    IBaseResultSet[] getQueryResults()

  get QueryResults of the executor

### getContent

    IContent getContent()

  get the content

### hasNextChild

    boolean hasNextChild()
                         throws org.eclipse.birt.core.exception.BirtException

  does the executor has child executor

  Returns:
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### getNextChild

    IReportItemExecutor getNextChild()
                                     throws org.eclipse.birt.core.exception.BirtException

  return the next child's executor

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### close

    void close()
               throws org.eclipse.birt.core.exception.BirtException

  close the executor, if the executor is closed, all sub executor will be terminate also.

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.